Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.ext.client
Class TCPIPEXTEwayConnection

    java.lang.Object
      com.stc.connector.tcpip.model.client.TCPIPEwayConnection
          com.stc.connector.tcpip.ext.client.TCPIPEXTEwayConnection

All Implemented Interfaces:
  com.stc.connector.framework.eway.EwayConnection, com.stc.connector.framework.eway.ValidatingEwayConnection, com.stc.connector.management.STCManagedSlave

    public class TCPIPEXTEwayConnection

extends TCPIPEwayConnection
implements com.stc.connector.framework.eway.EwayConnection

This class implements the EwayConnection interface for the extended TCPIP connection oriented services for the Eway/JCA framework.

Version:
  cvs revision: $Revision: 1.23 $ Last Modified: $Date: 2008/03/18 06:03:30 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.client.TCPIPEwayConnection
`mMonitorData`

Constructor Summary
`TCPIPEXTEwayConnection()` Constructor of TCPIPEXTEwayConnection

Method Summary
`void` | `cleanup()` Perform clean up of any resources or reset of any state held by the instance of EwayConnection.
`TCPIPClientApplication` | `createTCPIPClientApplication(TCPIPApplicationConnection appConn, java.lang.String appName)` Creates TCPIPClientApplication object.
`void` | `destroy()` Release any resources prior to the destruction of the associated ManagedConnection.
`MessageInfo` | `getMessageInfo()` Returns the messageInfo instance.
`javax.resource.spi.ManagedConnectionMetaData` | `getMetaData()` Get a new instance of the ManagedConnectionMetaData which contains connection information for the currently established connection.
`void` | `initialize(com.stc.connector.framework.eway.ManagedConnectionCallback aCallback, javax.security.auth.Subject aSubject, javax.resource.spi.ConnectionRequestInfo aConfiguration, com.stc.connector.management.jca.system.mbeans.MonitorDataContainer aMonitorDataContainer)` Initialize the EwayConnection.
`protected void` | `initializeMsg()` Method initializeMsg.
`void` | `setMessageInfo(MessageInfo messageInfo)` Sets the messageInfo.

Methods inherited from class com.stc.connector.tcpip.model.client.TCPIPEwayConnection
`closeConnection, destroyConnectionHandles, generateAlert, getConfiguration, getConnection, getConnectionHandles, getCurrentApplicationConnection, getLocalTransaction, getManagedConnectionCallback, getMonitor, getSocket, getSubject, getTCPIPClientGeneralInfo, getTCPIPResourceAdapter, getTCPIPSocketInfo, getXAResource, isValidConnection, matchConnection, setMonitor, setTCPIPClientGeneralInfo, setTCPIPSocketInfo, updateMBeanConnectionStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.framework.eway.EwayConnection
`getConnection, getLocalTransaction, getXAResource, matchConnection`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPEXTEwayConnection

    public TCPIPEXTEwayConnection()

  Constructor of TCPIPEXTEwayConnection

Method Detail

### initialize

    public void initialize(com.stc.connector.framework.eway.ManagedConnectionCallback aCallback,
                           javax.security.auth.Subject aSubject,
                           javax.resource.spi.ConnectionRequestInfo aConfiguration,
                           com.stc.connector.management.jca.system.mbeans.MonitorDataContainer aMonitorDataContainer)
                    throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Initialize the EwayConnection. Establish the connection to the external system (EIS).

  Specified by:
    `initialize` in interface `com.stc.connector.framework.eway.EwayConnection`
  Overrides:
    `initialize` in class `TCPIPEwayConnection`
    `aSubject` - The Subject instance which holds the credentials for EIS signon.
    `aConfiguration` - The ConnectionRequestInfo instance which can hold both EIS signon information or general connection specific information. The ConnectionRequestInfo provided will contain the union of the properties from the client connection request properties, the ResourceAdapter properties, and the ManagedConnectionFactory properties.
    `aMonitorDataContainer` - MonitorDataContainer
  Throws:
    `javax.resource.ResourceException` - upon error.
  See Also:
    `(ManagedConnectionCallback, Subject, ConnectionRequestInfo, MonitorDataContainer)`

### initializeMsg

    protected void initializeMsg()
                          throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Method initializeMsg.

  Overrides:
    `initializeMsg` in class `TCPIPEwayConnection`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `TCPIPEwayConnection.initializeMsg()`

### cleanup

    public void cleanup()
                 throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Perform clean up of any resources or reset of any state held by the instance of EwayConnection.

  Specified by:
    `cleanup` in interface `com.stc.connector.framework.eway.EwayConnection`
  Overrides:
    `cleanup` in class `TCPIPEwayConnection`
  Throws:
    `javax.resource.ResourceException` - upon error.
  See Also:
    `EwayConnection.cleanup()`

### destroy

    public void destroy()
                 throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Release any resources prior to the destruction of the associated ManagedConnection.

  Specified by:
    `destroy` in interface `com.stc.connector.framework.eway.EwayConnection`
  Overrides:
    `destroy` in class `TCPIPEwayConnection`
  Throws:
    `javax.resource.ResourceException` - upon error.
  See Also:
    `EwayConnection.destroy()`

### getMetaData

    public javax.resource.spi.ManagedConnectionMetaData getMetaData()
                                                             throws javax.resource.ResourceException

  Description copied from class: `TCPIPEwayConnection`
  Get a new instance of the ManagedConnectionMetaData which contains connection information for the currently established connection.

  Specified by:
    `getMetaData` in interface `com.stc.connector.framework.eway.EwayConnection`
  Overrides:
    `getMetaData` in class `TCPIPEwayConnection`
  Returns:
    An instance of ManagedConnectionMetaData which contains information about the current established connection to the EIS.
  Throws:
    `javax.resource.ResourceException` - upon error.
  See Also:
    `EwayConnection.getMetaData()`

### getMessageInfo

    public MessageInfo getMessageInfo()

  Returns the messageInfo instance.

  Returns:
    MessageInfo instance

### setMessageInfo

    public void setMessageInfo(MessageInfo messageInfo)

  Sets the messageInfo.

  Parameters:
    `messageInfo` - The messageInfo to set

### createTCPIPClientApplication

    public TCPIPClientApplication createTCPIPClientApplication(TCPIPApplicationConnection appConn,
                                                               java.lang.String appName)
                                                        throws TCPIPApplicationException

  Description copied from class: `TCPIPEwayConnection`
  Creates TCPIPClientApplication object.

  Overrides:
    `createTCPIPClientApplication` in class `TCPIPEwayConnection`
  Parameters:
    `appConn` - TCPIPApplicationConnection instance
    `appName` - Application name
  Returns:
    TCPIPClientApplication object
  Throws:
    `TCPIPApplicationException` - up on an error
  See Also:
    `(TCPIPApplicationConnection, String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD